error when i compile

hi am having this error when compiling my project

Description	Resource	Path	Location	Type
'<>' operator is not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 274	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 324	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 336	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 353	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 410	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 543	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnUtility.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 67	Java Problem
'<>' operator is not allowed for source level below 1.7	DsnUtility.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 78	Java Problem
Files cannot be resolved	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 95	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 51	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 57	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 64	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 69	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 76	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 83	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 96	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 116	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 122	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 129	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 142	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 156	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 173	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 192	Java Problem
Lambda expressions are allowed only at source level 1.8 or above	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 207	Java Problem
Multi-catch parameters are not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 115	Java Problem
Multi-catch parameters are not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 164	Java Problem
Multi-catch parameters are not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 224	Java Problem
Multi-catch parameters are not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 241	Java Problem
Multi-catch parameters are not allowed for source level below 1.7	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 265	Java Problem
Multi-catch parameters are not allowed for source level below 1.7	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 89	Java Problem
Path cannot be resolved to a type	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 93	Java Problem
Paths cannot be resolved	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 93	Java Problem
The import java.nio.file cannot be resolved	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 28	Java Problem
The import java.nio.file cannot be resolved	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 29	Java Problem
The import java.nio.file cannot be resolved	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 30	Java Problem
The method post(String, String, Route) in the type Spark is not applicable for the arguments (String, String, (Request request, Response response) -> {})	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 116	Java Problem
The method post(String, String, TemplateViewRoute, TemplateEngine) in the type Spark is not applicable for the arguments (String, String, (Request request, Response response) -> {}, JsonTransformer)	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 207	Java Problem
The method put(String, String, Route) in the type Spark is not applicable for the arguments (String, String, (Request request, Response response) -> {})	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 122	Java Problem
The method put(String, String, Route) in the type Spark is not applicable for the arguments (String, String, (Request request, Response response) -> {})	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 173	Java Problem
The method put(String, String, Route) in the type Spark is not applicable for the arguments (String, String, (Request request, Response response) -> {})	DsnResource.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 192	Java Problem
List is a raw type. References to generic type List<E> should be parameterized	PDFConverter.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 41	Java Problem
Resource leak: 'mongoClient' is never closed	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 48	Java Problem
Resource leak: 'mongoClient' is never closed	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 56	Java Problem
The constructor Mongo(String) is deprecated	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 30	Java Problem
The import com.google.gson.Gson is never used	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 14	Java Problem
The import com.mongodb.client.MongoDatabase is never used	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 15	Java Problem
The import com.mongodb.MongoClient is never used	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 12	Java Problem
The import com.mongodb.MongoClientURI is never used	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 13	Java Problem
The import java.io.File is never used	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 16	Java Problem
The import java.net.InetAddress is never used	AuditTrailUtil.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 17	Java Problem
The import java.net.UnknownHostException is never used	AuditTrailUtil.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 18	Java Problem
The import java.net.URI is never used	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 17	Java Problem
The import java.util.Date is never used	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 18	Java Problem
The import java.util.HashMap is never used	JsonTransformer.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 15	Java Problem
The import org.apache.pdfbox.exceptions.InvalidPasswordException is never used	PDFConverter.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 15	Java Problem
The import spark.Response is never used	JsonTransformer.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 12	Java Problem
The method getDB(String) from the type Mongo is deprecated	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 49	Java Problem
The method getDB(String) from the type Mongo is deprecated	Bootstrap.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 58	Java Problem
The method getDB(String) from the type Mongo is deprecated	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 32	Java Problem
The serializable class Signal does not declare a static final serialVersionUID field of type long	Signal.java	/dsnweb/src/main/java	line 11	Java Problem
The static field ReportsController.signal should be accessed in a static way	ReportsController.java	/dsnweb/src/main/java/co/za/hostanme/dsn/pdf	line 47	Java Problem
The static method getDSNReport(String) from the type ReportsController should be accessed in a static way	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 111	Java Problem
The static method getDSNReport(String) from the type ReportsController should be accessed in a static way	DsnService.java	/dsnweb/src/main/java/co/za/hostanme/dsn	line 220	Java Problem
The value of the field JsonTransformer.gson is not used	JsonTransformer.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 19	Java Problem
The value of the local variable a is not used	PDFConverter.java	/dsnweb/src/main/java/co/za/hostanme/dsn/utils	line 80	Java Problem
The value of the local variable pword is not used	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 36	Java Problem
The value of the local variable userName is not used	UserAuthorization.java	/dsnweb/src/main/java/co/za/hostanme/dsn/common	line 35	Java Problem
Unnecessary @SuppressWarnings("unchecked")	Signal.java	/dsnweb/src/main/java	line 25	Java Problem

Open in new window

chalie001Asked:
Who is Participating?

[Product update] Infrastructure Analysis Tool is now available with Business Accounts.Learn More

x
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

gurpsbassiCommented:
You're sing the wrong version of Java.
Im assuming you have java 1.5. However you are using java 1.7 syntax e.g. diamond operator.
CPColinSenior Java ArchitectCommented:
What version of Eclipse are you using? You need to use Luna, at least, to make use of Java 8 syntax, as a few of the errors indicate.

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
chalie001Author Commented:
correct
chalie001Author Commented:
correct
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Editors IDEs

From novice to tech pro — start learning today.